summaryrefslogtreecommitdiffstats
path: root/multimedia/youtube-viewer
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/youtube-viewer')
-rw-r--r--multimedia/youtube-viewer/README3
-rw-r--r--multimedia/youtube-viewer/slack-desc19
-rw-r--r--multimedia/youtube-viewer/youtube-viewer.SlackBuild90
-rw-r--r--multimedia/youtube-viewer/youtube-viewer.info10
4 files changed, 122 insertions, 0 deletions
diff --git a/multimedia/youtube-viewer/README b/multimedia/youtube-viewer/README
new file mode 100644
index 0000000000..1b62324a7e
--- /dev/null
+++ b/multimedia/youtube-viewer/README
@@ -0,0 +1,3 @@
+Youtube Viewer is a CLI application dedicated for searching and streaming
+Youtube Videos with MPlayer. It has been written in Perl and plays videos
+from Youtube at the best quality available without using a flash player.
diff --git a/multimedia/youtube-viewer/slack-desc b/multimedia/youtube-viewer/slack-desc
new file mode 100644
index 0000000000..cb04f36102
--- /dev/null
+++ b/multimedia/youtube-viewer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+youtube-viewer: youtube-viewer (browse YouTube videos from a terminal)
+youtube-viewer:
+youtube-viewer: Youtube Viewer is a CLI application dedicated for searching and
+youtube-viewer: streaming Youtube Videos with MPlayer. It has been written in Perl
+youtube-viewer: and plays videos from Youtube at the best quality available without
+youtube-viewer: using a flash player.
+youtube-viewer:
+youtube-viewer:
+youtube-viewer:
+youtube-viewer:
+youtube-viewer:
diff --git a/multimedia/youtube-viewer/youtube-viewer.SlackBuild b/multimedia/youtube-viewer/youtube-viewer.SlackBuild
new file mode 100644
index 0000000000..fd0247955f
--- /dev/null
+++ b/multimedia/youtube-viewer/youtube-viewer.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/bash
+
+# Slackware build script for youtube-viewer
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Tarball gotten like so:
+# wget -O youtube-viewer-$(date +%Y%m%d).tar.gz http://trizen.googlecode.com/files/youtube-viewer.tar.gz
+# (the URL is always updated to the latest version, which is why I
+# mirrored a version on my site)
+
+PRGNAM=youtube-viewer
+VERSION=${VERSION:-20130203}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+DIRNAME=WWW-YoutubeViewer
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $DIRNAME
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $DIRNAME
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Build.PL prefix=/usr installdirs=vendor --destdir="$PKG"
+./Build
+./Build test
+./Build install --install_path script=/usr/bin
+
+# I couldn't figure out what to pass to Build.PL or Build to install
+# man pages correctly, so:
+mv $PKG/usr/share/man $PKG/usr/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/youtube-viewer/youtube-viewer.info b/multimedia/youtube-viewer/youtube-viewer.info
new file mode 100644
index 0000000000..125577a56b
--- /dev/null
+++ b/multimedia/youtube-viewer/youtube-viewer.info
@@ -0,0 +1,10 @@
+PRGNAM="youtube-viewer"
+VERSION="20130203"
+HOMEPAGE="http://code.google.com/p/trizen/"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/youtube-viewer-20130203.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="a36f6367ee26f7b6deb2e26857d1fee5"
+MD5SUM_x86_64=""
+REQUIRES="perl-data-dump"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"